Package org.gradle.tooling.model

# Interface BuildModel

All Known Subinterfaces:
  `BuildEnvironment`, `GradleBuild`

public interface BuildModel
Represents a model that is associated with or represents some Gradle build.

Since:
  3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BuildIdentifier`
  `getBuildIdentifier()`
  Returns the identifier for the build that this model is associated with.

- ## Method Details

  - ### getBuildIdentifier

    BuildIdentifier getBuildIdentifier()
    Returns the identifier for the build that this model is associated with.